import { 
  IAcceleratorConfigNormalized,
} from '../configuration/IAcceleratorConfigNormalized';
import {
  IAction,
} from '../actions/IAction';
import {
  IPassageFunctions,
} from './IPassageFunctions';
import {
  IManager,
} from 'sound-manager';
import {
  IPassage,
} from './IPassage';
import {
  IStoryStateFrame,
} from '../state/IStoryStateFrame';
import {
  Omit,
} from '../typeAliases/Omit';
import {
  Dispatch,
} from 'redux';
import {
  Tag,
} from '../tags/Tag';

export interface IPassageProps extends IPassageFunctions {
  readonly config: Omit<IAcceleratorConfigNormalized, 'rendererName'>;
  readonly dispatch: Dispatch<IAction>;
  readonly lastLinkTags: ReadonlyArray<Tag>;
  readonly passageObject: IPassage;
  readonly soundManager: IManager;
  readonly storyState: IStoryStateFrame;
}
